#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int i,n,m,maxi;
    scanf("%d %d",&n,&m);
    int x[m],y[m],ismeros[n+1],barat[n+1],ellenseg[n+1];
    long long int a[n+1],o,max=0;
    for(i=1;i<=n;i++){
        scanf("%lld",&a[i]);
    }
    for(i=0;i<=n;i++){
        ismeros[i]=0;
        barat[i]=0;
        ellenseg[i]=0;
    }
    for(i=0;i<m;i++){
        scanf("%d %d",&x[i],&y[i]);
        ismeros[x[i]]++;
        ismeros[y[i]]++;
    }
    do{
        max=0;
        for(i=1;i<=n;i++){
            if((abs(a[i]*ismeros[i]))>max){
                max=abs(a[i]*ismeros[i]);
                maxi=i;
            }
        }
            if(max>0){
                if(a[maxi]>=0){
                    for(i=0;i<m;i++){
                        if(x[i]==maxi){
                            barat[maxi]++;
                            ismeros[maxi]--;
                            barat[y[i]]++;
                            ismeros[y[i]]--;
                        }
                        if(y[i]==maxi){
                            barat[maxi]++;
                            ismeros[maxi]--;
                            barat[x[i]]++;
                            ismeros[x[i]]--;
                        }
                    }
                }
                if(a[maxi]<0){
                    for(i=0;i<m;i++){
                        if(x[i]==maxi){
                            ellenseg[maxi]++;
                            ismeros[maxi]--;
                            ellenseg[y[i]]++;
                            ismeros[y[i]]--;
                        }
                        if(y[i]==maxi){
                            ellenseg[maxi]++;
                            ismeros[maxi]--;
                            ellenseg[x[i]]++;
                            ismeros[x[i]]--;
                        }
                    }

                }
            }

    }while(max!=0);
    for(i=1;i<=n;i++){
        o=o+(a[i]*(barat[i]-ellenseg[i]));
    }
    printf("%lld",o);
}